Bug 351711 - Review Request: perl-Inline-Files - Allows for multiple inline files in a single perl file
Review Request: perl-Inline-Files - Allows for multiple inline files in a sin...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 00:07 EDT by Robin Norwood
Modified: 2008-01-04 00:33 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.62-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 00:33:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-10-25 00:07:14 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/perl-Inline-Files.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/perl-Inline-Files-0.62-1.fc8.src.rpm
Description: 
Inline::Files generalizes the notion of the `__DATA__' marker and the
associated `<DATA>' filehandle, to an arbitrary number of markers and
associated filehandles.

It is required for some of the tests in the perl-Inline package.
See: https://bugzilla.redhat.com/show_bug.cgi?id=226262
Comment 1 Ralf Corsepius 2007-10-25 00:22:05 EDT
The permissions inside of the tarball are broken. Please change these
permissions in %prep. 

All the chmod's in %install are a side-effect of these broken permissions and
probably can be removed.
Comment 2 Parag AN(पराग) 2007-10-25 05:39:48 EDT
Good to change permissions in %prep
Comment 3 Parag AN(पराग) 2007-11-13 03:56:21 EST
Robin,
  Can you please provide updates here?
Comment 5 Parag AN(पराग) 2007-11-15 01:31:56 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
1beb4548be878a28cafb379945c402b8  Inline-Files-0.62.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00init.......ok
t/01basics.....ok
t/02write......ok
t/03nowrite....ok
t/04create.....ok
t/05seek.......ok
t/06backup.....ok
t/07hash.......ok
All tests successful.
Files=8, Tests=67,  3 wallclock secs ( 0.99 cusr +  0.09 csys =  1.08 CPU)
+ Package perl-Inline-Files-0.62-2.fc9 ->
 Provides: perl(Inline::Files) = 0.62 perl(Inline::Files::Data)
perl(Inline::Files::Virtual) = 0.53
 Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(Cwd)
perl(Filter::Util::Call) perl(Inline::Files::Virtual) perl(strict) perl(vars)
APPROVED.
Comment 6 Robin Norwood 2007-11-15 17:13:04 EST
New Package CVS Request
=======================
Package Name: perl-Inline-Files
Short Description: Allows for multiple inline files in a single perl file
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-11-15 19:14:39 EST
cvs done.
Comment 8 Robin Norwood 2007-11-16 15:28:27 EST
built:http://koji.fedoraproject.org/koji/buildinfo?buildID=24536
Comment 9 Robin Norwood 2007-12-17 15:58:08 EST
Needed in EPEL for perl-Inline

Package Change Request
======================
Package Name: perl-Inline-Files
New Branches: EL-4 EL-5
Comment 10 Kevin Fenzi 2007-12-17 16:39:45 EST
cvs done.
Comment 11 Robin Norwood 2008-01-03 10:59:55 EST
Built for EL-4 and EL-5

Note You need to log in before you can comment on or make changes to this bug.